org.eclipse.net4j.db.ddl.delta

## Interface IDBDelta

- All Superinterfaces:
    Comparable<IDBDelta>, IContainer<IDBDelta>, IDBElement, IDBNamedElement, INotifier
  All Known Subinterfaces:
    IDBDeltaWithPosition, IDBDeltaWithProperties, IDBFieldDelta, IDBIndexDelta, IDBIndexFieldDelta, IDBPropertyDelta<T>, IDBSchemaDelta, IDBTableDelta

      public interface IDBDelta
      extends IDBNamedElement, IContainer<IDBDelta>, Comparable<IDBDelta>

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IDBDelta.ChangeKind`
    `static class` | `IDBDelta.DeltaType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(IDBDeltaVisitor visitor)`
    `IDBDelta.ChangeKind` | `getChangeKind()`
    `IDBDelta.DeltaType` | `getDeltaType()`
    `IDBDelta` | `getParent()`
    `IDBSchemaElement` | `getSchemaElement(IDBSchema schema)`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getDeltaType

          IDBDelta.DeltaType getDeltaType()

    - #### getParent

          IDBDelta getParent()

    - #### getChangeKind

          IDBDelta.ChangeKind getChangeKind()

    - #### accept

          void accept(IDBDeltaVisitor visitor)

    - #### getSchemaElement

          IDBSchemaElement getSchemaElement(IDBSchema schema)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html